@font-face {
  font-family: 'components-iconfont';  /* project id 531152 */
  src: url('//at.alicdn.com/t/font_531152_rw5usoyzf9qhyqfr.eot');
  src: url('//at.alicdn.com/t/font_531152_rw5usoyzf9qhyqfr.eot?#iefix') format('embedded-opentype'),
  url('//at.alicdn.com/t/font_531152_rw5usoyzf9qhyqfr.woff') format('woff'),
  url('//at.alicdn.com/t/font_531152_rw5usoyzf9qhyqfr.ttf') format('truetype'),
  url('//at.alicdn.com/t/font_531152_rw5usoyzf9qhyqfr.svg#iconfont') format('svg');
}

body {
  color: #5e6d82;
}

.demo-content {
  border: 1px solid #ebebeb;
  border-radius: 3px;
  transition: .2s;
  box-shadow: 0 0 2px 0 rgba(232, 237, 250, .6), 0 1px 2px 0 rgba(232, 237, 250, .5);
}

.demo-content:hover {
  box-shadow: 0 0 8px 0 rgba(232, 237, 250, .6), 0 2px 4px 0 rgba(232, 237, 250, .5);
}

.demo-render {
  padding: 20px;
  border-bottom: solid 1px #ddd;
}

.demo-code {
  /*padding: 20px;*/
  border-bottom: solid 1px #ddd;
  display: none;
}



/*blockquote,body,button,dd,dl,dt,fieldset,form,h1,h2,h3,h4,h5,h6,hr,input,legend,li,ol,p,pre,td,textarea,th,ul{margin:0;padding:0}body,button,input,select,textarea{font:12px/1.5 tahoma,arial,'Hiragino Sans GB','\5b8b\4f53',sans-serif}h1,h2,h3,h4,h5,h6{font-size:100%}address,cite,dfn,em,var{font-style:normal}code,kbd,pre,samp{font-family:courier new,courier,monospace}small{font-size:12px}ol,ul{list-style:none}a{text-decoration:none}a:hover{text-decoration:underline}sup{vertical-align:text-top}sub{vertical-align:text-bottom}legend{color:#000}fieldset,img{border:0}button,input,select,textarea{font-size:100%}table{border-collapse:collapse;border-spacing:0}button{border-radius:0;}*/

@font-face {
  font-family: octicons-link;
  src: url(data:font/woff;charset=utf-8;base64,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) format('woff');
}

.markdown-body {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  line-height: 1.5;
  color: #5e6d82;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-size: 14px;
  line-height: 1.5;
  word-wrap: break-word;
}

body {
  font: 16px Helvetica, Arial;
}

h1 {
  font-size: 2em;
}

h2 {
  font-size: 1.2em;
}

#posts {
  margin: 0;
  padding: 0;
}

#posts li {
  margin: 40px 0;
  padding: 0;
  padding-bottom: 20px;
  border-bottom: 1px solid #eee;
  list-style: none;
}

#posts li:last-child {
  border-bottom: none;
}

textarea {
  width: 500px;
  height: 300px;
}

input[type=text],
textarea {
  border: 1px solid #eee;
  border-top-color: #ddd;
  border-left-color: #ddd;
  border-radius: 2px;
  padding: 15px;
  font-size: .8em;
}

input[type=text] {
  width: 500px;
}

* {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

.page-header {
  height: 50px;
  padding: 20px;
  background: #fff;
  line-height: 50px;
  margin-bottom: 20px;
  box-shadow: 0 2px 8px #ddd;
}

body {
  background: #f2f2f2;
}

.page-header .logo {
  height: 50px;
  vertical-align: middle;
}

.page-header .logo-name {
  vertical-align: middle;
  font-size: 25px;
  color: rgba(0, 0, 0, .85);
  font-weight: 100;
}

/*.slide-bar {
  
}*/

.slide-bar a {
  color: #333;
}

.slide-bar h2 {
  font-weight: 400;
  font-size: 18px;
  padding-left: 20px;
  line-height: 40px;
}

.slide-bar dl {
  /*      padding-left: 10px;
*/
  margin-top: 10px;
}

.slide-bar dl dt {
  color: rgba(0, 0, 0, .4);
  line-height: 30px;
  font-size: 12px;
  padding-left: 30px;
}

.slide-bar dl dd {
  padding: 10px 0 10px 20px;
  line-height: 22px;
  border-right: solid 2px #fff;
  border-bottom: solid 1px #f2f2f2;
}

.slide-bar dl dd:last-child {
  border-bottom: none;
}

.slide-bar dl dd a {
  display: block;
}

.slide-bar dl dd.active span {
  color: #1ccada;
}

.slide-bar dl dd.active {
  border-right: solid 2px #1ccada;
  background: #ecf6fd;
  color: #1ccada;
}

.active-info {
  border-right: solid 2px #1ccada;
  background: #ecf6fd;
  color: #1ccada;
}

.slide-bar .value {
  float: right;
  padding-right: 20px;
}

.main-content {
  margin: 0 20px;
}
/*
.markdown-content {

}
*/
a:hover {
  color: #1ccada;
  text-decoration: none;
}

.hide-code {
  transition: all 0.3s;
  background: #fafbfc;
  color: #409eff;
  font-weight: 400;
  line-height: 40px;
  text-align: center;
  cursor: pointer;
  box-shadow: 0 0 8px 0 rgba(232,237,250,.6), 0 2px 4px 0 rgba(232,237,250,.5);
}

.hide-code:hover {
  font-size: 16px;
  color: #809eff;
}

html {
  height: 100%;
  width: 100%;
}

body {
  height: 100%;
  width: 100%;
}

.main-content {
  margin: 0 20px;
  height: calc(100% - 140px);
  width: calc(100% - 40px);
  margin-bottom: 10px;
}

.slide-bar {
  height: 100%;
  border-radius: 0 5px 5px 0;
  float: left;
  width: 200px;
  background: #fff;
  padding: 10px 0 20px 0;
  font-size: 14px;
  box-shadow: 2px 2px 8px #ddd;
  box-sizing: border-box;
  overflow-y: scroll;
      /*margin-bottom: 20px;*/
}

.log-content {
  height: 100%;
  background: #fff;
  margin-left: 220px;
  box-shadow: 2px 2px 8px #ddd;
  padding: 20px;
  box-sizing: border-box;
  overflow-y: scroll;
}

.log-header {
  padding-bottom: 10px;
  border-bottom: solid 1px #ddd;
  font-weight: 400;
  padding-left: 10px;
  margin-bottom: 20px;
}

.log-table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 5px;
  text-align: center;
  /*background: #f00;*/
}

.log-table th {
  border-bottom: solid 1px #ddd;
  line-height: 60px;
  background: #f2f2f2;
  color: #333;
}

.log-table td {
  padding: 20px 0;
  line-height: 26px;
  font-size: 13px;
}

.log-table tr:nth-child(2n) td {
  padding: 20px 0;
  line-height: 30px;
  background: #f9f9f9;
}

.log-table a {
  color: #1ccada;
}

.log-table .preview {
  margin-left: 5px;
}

.current-version {
  text-align: right;
  font-size: 12px;
  padding-right: 10px;
}

.current-version strong {
  font-size: 1.2em;
}

.copyright {
  text-align: center;
  font-size: 12px;
  transform: scale(0.8);
  color: #999;
}

.pagination {
  margin-top: 18px;
  font-size: 0;
  text-align: center;
}

.pagination .page-li {
  display: inline-block;
  font-size: 15px;
  line-height: 1;
  -ms-user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.pagination .page-li:hover {
  cursor: pointer;
  background-color: #EAEAEA;
}

.pagination .page-li.page-active {
  cursor: default;
  color: #fff;
  border-color: #1ccada;
  background-color: #1ccada;
}

.pagination .page-li.number-ellipsis {
  border: none;
  cursor: default;
}

.pagination .page-li.number-ellipsis:hover {
  background-color: #fff;
}

.pagination .page-number {
  width: 38px;
  padding-top: 8px;
  padding-bottom: 8px;
  border: 1px solid #EAEAEA;
  text-align: center;
}

.pagination .page-prev {
  padding: 8px 14px;
  margin-right: 8px;
  border: 1px solid #EAEAEA;
}

.pagination .page-prev.no-prev {
  color: #c6c6c6;
}

.pagination .page-prev.no-prev:hover {
  cursor: default;
  background-color: #fff;
}

.pagination .page-next {
  padding: 8px 14px;
  margin-left: 8px;
  border: 1px solid #EAEAEA;
}

.pagination .page-next.no-next {
  color: #c6c6c6;
}

.pagination .page-next.no-next:hover {
  cursor: default;
  background-color: #fff;
}

.pagination .number-ellipsis {
  display: inline-block;
  font-size: 15px;
  padding: 8px 14px;
}

.pagination .number-ellipsis.page-hidden {
  display: none;
}

#page-go {
  margin-top: 10px;
  text-align: center;
}


.log-content dl {
        margin-left: 10px;
        margin-bottom: 20px;
      }
      .log-content dl dt {
        font-size: 14px;
        font-weight: 400;
        font-weight: 600;
        color: #333;
        margin-bottom: 10px;
      }
       .log-content dl dd {
        margin-left: 2em;
        font-weight: 400;
        font-size: 12px;
        line-height: 28px;

       }
.log-entry {
  width: 40px;
  height: 40px;
  position: fixed;
  bottom: 40px;
  right: 34px;
  border-radius: 50%;
  background: url(./log.png);
  background-size: 100% 100%;
  transition: all 0.2s;
  
}
.log-entry:hover {
  box-shadow: 0px 3px 8px #ddd;
  width: 42px;
  height: 42px;
  bottom: 39px;
  right: 33px;
}
